attribute vec4 position;
attribute vec4 color;
attribute vec4 color_add;
attribute vec2 texCoord;

uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;

varying vec4 colorVarying; 
varying vec4 colorVarying_add;
varying vec2 texCoordOut;

void main()
{
	gl_Position = projectionMatrix * modelViewMatrix * position;

	colorVarying = color;
	colorVarying_add = color_add;
	texCoordOut = texCoord;
}
